List Posts
curl --request GET \
--url https://cms.thepublive.com/publisher/{publisher_id}/post/ \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://cms.thepublive.com/publisher/{publisher_id}/post/"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://cms.thepublive.com/publisher/{publisher_id}/post/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"next": "<string>",
"previous": "<string>",
"results": [
{
"id": 123,
"title": "<string>",
"english_title": "<string>",
"slug": "<string>",
"primary_category": 123,
"contributors": "<string>",
"content": "<string>",
"tags": "<string>",
"categories": "<string>",
"banner_url": 123,
"banner_description": "<string>",
"short_description": "<string>",
"summary": "<string>",
"seo_keyphrase": "<string>",
"meta_data": {},
"custom_published_at": "<string>",
"scheduled_at": "<string>",
"hide_banner_image": true,
"word_count": 123,
"seo_score": 123,
"source": "<string>"
}
]
}{
"detail": "Invalid Auth Credentials"
}List Posts
GET
/
publisher
/
{publisher_id}
/
post
/
List Posts
Authorizations
HTTP Basic Auth using your Publive API key pair, base64-encoded.
Path Parameters
Your Publisher ID
Query Parameters
Required range:
x <= 1000Required range:
x <= 50Last modified on August 10, 2026
Was this page helpful?
⌘I